ICode9

精准搜索请尝试: 精确搜索
首页 > 编程语言> 文章详细

Python入门之第三方模块安装

2019-08-15 10:00:11  阅读:104  来源: 互联网

标签:入门 Python profiler whl install 模块 pip python line



Python入门之第三方模块安装

平台:Win x64 + Anaconda3-5.3.0 (+Python3.7.0)

 

Issue说明:pip install line_profiler-2.1.2-cp37-cp37m-win_amd64.whl报错pip版本过低,需要更新1.19.0,而当前的版本是0.9.0

原因:在看《Python数据科学手册》时,书中P24需要安装line_profiler(第三方模块,用于逐行分析代码),下载第三方模块:line_profiler-2.1.2-cp37-cp37m-win_amd64.whl,在下载好的第三方模块的文件夹下pip install line_profiler-2.1.2-cp37-cp37m-win_amd64.whl报错

解决办法:python自带pip版本过久,需要升级安装

 

目录:

一、第三方模块下载地址汇总

二、中间遇到的Issue汇总

三、pip安装Python离线安装包建议

 

一、第三方模块下载地址汇总:

1.https://www.lfd.uci.edu/~gohlke/pythonlibs/https://www.lfd.uci.edu/~gohlke/pythonlibs/#pytz

包各种版本罗列清晰,比较多,但是有些包(如memory_profiler )没有

2.https://pypi.doubanio.com/simple/

包比较多,但是版本比较少

3.https://mirrors.tuna.tsinghua.edu.cn/pypi/web/simple/

包各种版本多,但是有些包(如memory_profiler )没有

4.最新pip下载地址:https://pypi.python.org/pypi/pip

更新好pip后,使用pip install ***安装。取决于网络问题,不过很多都能安装成功。

 

二、中间遇到的Issue汇总:

1.下载哪个whl?

1)先弄清楚自己的Python是什么版本的,以方便后续下载合适的.whl文件。
win+R进入命令运行窗口,输入cmd打开命令提示符,接着输入python即可

我的是:

C:\Users\wang>python
Python 3.7.0 (default, Jun 28 2018, 08:04:48) [MSC v.1912 64 bit (AMD64)] :: Anaconda, Inc. on win32
Type "help", "copyright", "credits" or "license" for more information.

可知:这是我的Python版本3.7.0,AMD64

 

2.选择需要的.whl文件下载,一般选择最后的,感觉意思是最近更新的包,以下是.whl文件下载链接地址:
http://www.lfd.uci.edu/~gohlke/pythonlibs/
我的是3.7.0,64位所以选择的是line_profiler-2.1.2-cp37-cp37m-win_amd64.whl

 

3.在下载好的第三方模块的文件夹下pip install line_profiler-2.1.2-cp37-cp37m-win_amd64.whl报错,可知道需要更新Pip

 

4.更新pip:

最新pip下载地址:https://pypi.python.org/pypi/pip

进入Download Files下载最新的pip

我下载的是:pip-19.2.2-py2.py3-none-any.whl

在下载好的第三方模块的文件夹下pip install pip-19.2.2-py2.py3-none-any.whl更新,报错:

 

5.更新pip报错:ERROR: To modify pip, please run the following command:
C:\Users\wang\Anaconda3\python.exe -m pip install .\pip-19.2.2-py2.py3-none-any.whl
You are using pip version 10.0.1, however version 19.2.2 is available.
You should consider upgrading via the 'python -m pip install --upgrade pip' command.

解决:由错误消息可知命令有误,需要执行:C:\Users\wang\Anaconda3\python.exe -m pip install .\pip-19.2.2-py2.py3-none-any.whl

  在下载好的第三方模块的文件夹下C:\Users\wang\Anaconda3\python.exe -m pip install .\pip-19.2.2-py2.py3-none-any.whl更新

等待.....

提示:Processing d:\software\appbeifen\software_pro\python\mokuai\pip-19.2.2-py2.py3-none-any.whl
twisted 18.7.0 requires PyHamcrest>=1.9.0, which is not installed.
mysql-connector-python 8.0.15 requires protobuf>=3.0.0, which is not installed.
Installing collected packages: pip
  Found existing installation: pip 10.0.1
    Uninstalling pip-10.0.1:
      Successfully uninstalled pip-10.0.1
Successfully installed pip-19.2.2

可知:更新成功。并通过pip list查看pip版本为19.2.2

 

6.在下载好的第三方模块的文件夹下pip install line_profiler-2.1.2-cp37-cp37m-win_amd64.whl安装

等待.....

提示:Installing collected packages: line-profiler
Successfully installed line-profiler-2.1.2

可知:更新成功。并通过pip list查看line-profiler版本为2.1.2

 

7.安装成功。

 

 

三、pip安装Python离线安装包建议:

1.断网环境下利用pip安装Python离线安装包:https://www.cnblogs.com/michael-xiang/p/5690746.html

友情提示:当你遇到无法安装包的不明错误时,可以回头来考虑如下建议了:
想办法更新Python版本!!!
如果不能更新Python版,
想办法更新pip版本!!!

推荐理由:1)在可以联网的开发机器上安装好需要的包 2)打包已安装的包 3)离线情况安装打包好的包

 



标签:入门,Python,profiler,whl,install,模块,pip,python,line

专注分享技术,共同学习,共同进步。侵权联系[admin#icode9.com]

Copyright (C)ICode9.com, All Rights Reserved.

ICode9版权所有